socket_stream.hpp File Reference

A class to use any socket as a classic standard stream. More...

`#include <claw/basic_socketbuf.hpp>`
`#include <iostream>`
`#include <claw/impl/socket_stream.tpp>`

Go to the source code of this file.

## Classes

class | claw::net::basic_socket_stream< CharT, Traits >
| A class to use any socket as a classic standard stream. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::net
| Network communications.

## Typedefs

typedef basic_socket_stream< char > | claw::net::socket_stream
| Implementation of the basic_socket_stream for the char type.
typedef basic_socket_stream< wchar_t > | claw::net::wsocket_stream
| Implementation of the basic_socket_stream for the wide characters.

## Detailed Description

A class to use any socket as a classic standard stream.

Author
  Julien Jorge

Definition in file socket_stream.hpp.